LINUX.ORG.RU

OpenGL+Debian+Nvidia driver

 , , ,


0

1

Помогите разобраться.

Имеется видеокарта Nvidia GT210, система Debian c установленными драйверами nvidia-legacy-340xx-driver.

Иксы стартуют - все ок! При этом команда glxgears выводит ошибку:

X Error of failed request: BadWindow (invalid Window parameter)

Major opcode of failed request: 155 (NV-GLX)

Minor opcode of failed request: 4 ()

Resource id in failed request: 0x4600002

Serial number of failed request: 38

Current serial number in output stream: 38

Плееры mpv и smplayer крашатся, в логах такая ошибка:

[ 0.038][v][vo/gpu/opengl] Could not initialize EGL.

Vlc тоже крашится если оставить вывод видео Default. Если ставить vdpau все играет и по нагрузке видно что используется видеокарта.

Пробовал удалить все плееры и драйвера и поставить заново – эффект тот же.

Не понимаю в чем дело.

В настройках mpv или smplayer укажи VO VDPAU и ffmpeg12vdpau.

Почему пытается использовать EGL вместо GLX, я не знаю.

Судя по всему, у тебя libGL.so.1 от Месы, хотя должен быть от NVIDIA.

anonymous ()
Ответ на: комментарий от gremlin_the_red

Да, драйвер nvidia загружен. В настройках X11 есть запись:

Section «Device»
Identifier «Device0»
Driver «nvidia»
VendorName «NVIDIA Corporation»

update-alternatives –list glx:
/usr/lib/mesa-diverted
/usr/lib/nvidia
/usr/lib/nvidia/bumblebee

grep -i module /var/log/Xorg.0.log
[ 37.662] (==) ModulePath set to «/usr/lib/xorg/modules»
[ 37.662] (II) Module ABI versions:
[ 37.667] (II) LoadModule: «glx»
[ 37.803] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[ 38.616] (II) Module glx: vendor=«X.Org Foundation»
[ 38.616] compiled for 1.20.8, module version = 1.0.0
[ 38.616] (II) LoadModule: «nvidia»
[ 38.616] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[ 38.683] (II) Module nvidia: vendor=«NVIDIA Corporation»
[ 38.683] compiled for 4.0.2, module version = 1.0.0
[ 38.683] Module class: X.Org Video Driver
[ 38.709] (II) Loading sub module «fb»
[ 38.709] (II) LoadModule: «fb»
[ 38.720] (II) Loading /usr/lib/xorg/modules/libfb.so
[ 38.740] (II) Module fb: vendor=«X.Org Foundation»
[ 38.740] compiled for 1.20.8, module version = 1.0.0
[ 38.740] (II) Loading sub module «wfb»
[ 38.740] (II) LoadModule: «wfb»
[ 38.740] (II) Loading /usr/lib/xorg/modules/libwfb.so
[ 38.748] (II) Module wfb: vendor=«X.Org Foundation»
[ 38.748] compiled for 1.20.8, module version = 1.0.0
[ 38.748] (II) Loading sub module «ramdac»
[ 38.748] (II) LoadModule: «ramdac»
[ 38.748] (II) Module «ramdac» already built-in
[ 38.783] (EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X
[ 38.783] (EE) NVIDIA(0): log file that the GLX module has been loaded in your X
[ 38.783] (EE) NVIDIA(0): server, and that the module is the NVIDIA GLX module. If
[ 39.269] (II) Loading sub module «dri2»
[ 39.269] (II) LoadModule: «dri2»
[ 39.269] (II) Module «dri2» already built-in
[ 40.978] (II) LoadModule: «libinput»
[ 40.978] (II) Loading /usr/lib/xorg/modules/input/libinput_drv.so
[ 41.035] (II) Module libinput: vendor=«X.Org Foundation»
[ 41.035] compiled for 1.20.4, module version = 0.29.0
[ 41.035] Module class: X.Org XInput Driver

Меня смущает вывод nvidia-detect:
Detected NVIDIA GPUs:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT218 [GeForce 210] [10de:0a65] (rev a2)

Checking card: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
Your card is only supported by the 340 legacy drivers series, which is only available up to buster.

Система debian bullseye

dukenukem ()

Почему бы не взять убунту или производный? Ты наслушался умных специалистов, что убунту - это не для настоящих линуксоидов, а дебиан - это для профи?

rumgot ★★★★★ ()
Ответ на: комментарий от anonymous

а egl опять же просто в mpv по-умолчанию, потому что они предпочитают cuda, который работает со всем, а не только с glx и с большим набором кодеков

anonymous ()
Ответ на: комментарий от anonymous

Работает,но выводит в консоль такую ошибку:

[vo/gpu/x11] X11 error: BadWindow (invalid Window parameter)
[vo/gpu/x11] Type: 0, display: 0x7ff6600035e0, resourceid: 4a00002, serial: 77
[vo/gpu/x11] Error code: 3, request code: 9b, minor code: 4
[vo/gpu] Could not set GLX context!

dukenukem ()

Закомментируй

Section "Files"
    ...
EndSection

в /etc/X11/xorg.conf (или вообще удали файл). Перезапусти иксы.

Подробности: https://aweirdimagination.net/2018/12/09/nvidia-glx-not-working/

Мне помогло. glxgears, glxinfo в ошибки не падают, в логах норм.

Свежеустановленный Debian 10.4, nvidia-legacy-340xx-driver (340.108-3), GeForce GTX 260, kernel 4.19.0-9-amd64

D_Ima ()